ttyload(1)

NAME
ttyload - a tty-based xload equivalent

SYNOPSIS

ttyload [options]

DESCRIPTION

ttyload is a "tty" based load monitoring tool. Not entirely unlike xload, it plots a graph of a system's "load average" data. Unlike xload, it uses 3 line graphs to plot things, instead of a single fill graph, so that it can show you not only the 1-minute load average, but also the 5-minute and 15-minute averages. Also unlike xload, it uses a basic terminal (tty) to display the information, instead of an X window. ANSI escape sequences are used (optionally) for colorization and screen manipulation.

A few of the main features of ttyload are:

o   graphs load averages (all 3 numbers) over time

o   uses ANSI escape sequences to colorize graphs

o   works without requiring X11 libraries, in a Terminal window

o   automatically determines screen size by default

USAGE

The easiest way to use ttyload is just to invoke the command, with no additional options.

Additional options are described below.

To quit ttyload, enter the terminal's interrupt character (typically control-C).

OPTIONS

ttyload uses standard getopt() style options processing. Available options are:

-h  Display a brief usage statement ("help").

-v  show version info, then exit

-m  monochrome mode (no ANSI escapes)

-c <cols>
    Sets the number of columns wide to make the display

-r <rows>
    Sets the number of rows high to make the display (these two options combine to override the default behavior of auto-determining screen size)

-i <seconds>
    Alter the number of seconds in the interval between refreshes. The default is 4, and the minimum is 1, which is silently clamped.

SEE ALSO

getopt(3)

VERSION
This man page is current for version 0.5 of ttyload

THANKS

Thanks to several my friends for testing things out on various platforms, or lending me accounts on their machines upon which to do porting.

AUTHOR

ttyload was written by David Lindes. Please send any feedback, including bug reports and patches, to me. My contact information (as well as updates and other information) can be found on the ttyload web page at: http://www.daveltd.com/src/util/ttyload/